---
navigation: false
layout: page
title: The Hybrid Vue Framework
description: 'Build your next application with Vue 3 and experience hybrid rendering, with an improved directory structure and new features Nuxt 3 is an open source framework making web development simple and powerful.'
---

::BlockHero
---
cta:
  - Get started
  - /getting-started/installation
secondary:
  - Star on GitHub →
  - https://github.com/nuxt/framework
---

#title
The Hybrid [Vue]{.text-primary} Framework

#description
Build your next application with Vue 3 and experience hybrid rendering, powerful data fetching and new features.
Nuxt 3 is an open source framework making web development simple and powerful.

#right
  ::div{.flex .items-top .justify-center}
    ::gem
    ::
  ::
::

::card-grid
#title
With new features

#description
Nuxt 3 has been re-architected with a smaller core and optimized for faster performance and better developer experience.

#default
  ::card{icon=IconFeather}
  #title
  Lighter
  #description
  Up to 75x smaller server deployments and smaller client bundle targeting modern browsers.
  ::

  ::card{icon=IconRabbit}
  #title
  Faster
  #description
  Optimized cold start with dynamic server code-splitting, powered by nitro.
  ::

  ::card{icon=IconHybrid}
  #title
  Hybrid
  #description
  Incremental Static Generation and other advanced modes are now possible.
  ::

  ::card{icon=IconSuspense}
  #title
  Suspense
  #description
  Fetch data in any component, before or after navigation.
  ::

  ::card{icon=IconCAPI}
  #title
  Composition API
  #description
  Use the Composition API and Nuxt 3's composables for true code re-usability.
  ::

  ::card{icon=IconCLI}
  #title
  Nuxt CLI
  #description
  A new zero-dependency experience for easy scaffolding and module integration.
  ::

  ::card{icon=IconDevtools}
  #title
  Nuxt DevTools
  #description
  Work faster with info and quick fixes right in the browser.
  ::

  ::card{icon=IconKit}
  #title
  Nuxt Kit
  #description
  Brand new module development with TypeScript and cross-version compatibility.
  ::

  ::card{icon=IconWebpack}
  #title
  webpack 5
  #description
  Faster build time and smaller bundle size, with no configuration required.
  ::

  ::card{icon=IconVite}
  #title
  Vite
  #description
  Experience lightning fast HMR by using Vite as your bundler.
  ::

  ::card{icon=IconVue}
  #title
  Vue 3
  #description
  Vue 3 is a solid foundation for your next web app.
  ::

  ::card{icon=IconTypeScript}
  #title
  TypeScript
  #description
  Built with native TypeScript and ESM - no extra steps required.
  ::
::
